<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fetch API</title>
</head>
<body>
    <div id="companiesList">

    </div>
    <script>

        // async, await

        async function fetchCompanies() {
            let response = await fetch('https://frogaccelerator.com:8110/companies');
            let companies = await response.json();
            console.log(companies);

            const companiesDiv = document.querySelector('#companiesList');
            companiesDiv.innerHTML = companies.map(company => company.name).join(', ');
        }

        fetchCompanies();

        async function addNewCompany(name, established, employees) {
            // Teeme valmis ettevõtte JSON-dokumendi.
            let newCompany = {
                name: name,
                established: established,
                employees: employees
            };
            let companyJson = JSON.stringify(newCompany);
            console.log(companyJson);

            await fetch('https://frogaccelerator.com:8110/companies', {
                method: 'POST',
                headers: { 'Content-Type': 'application/json' },
                body: companyJson
            });
        }

        async function deleteCompany(id) {
            await fetch('https://frogaccelerator.com:8110/companies/' + id, {
                method: 'DELETE'
            });
        }

    </script>
</body>
</html>